Commet
  • Precios
Iniciar SesiónRegistrarse
Create webhook endpoint POSTDelete webhook endpoint DELETEGet webhook endpoint GETList webhook endpoints GETTest webhook endpoint POSTUpdate webhook endpoint PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Test webhook endpoint

Send a test event to a webhook endpoint to verify connectivity.

POST
/webhooks/{id}/test

Send a test event to a webhook endpoint to verify connectivity.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks/string/test"
{  "success": true,  "deliveryId": "string",  "deliveredAt": "2019-08-24T14:15:22Z",  "object": "webhook_delivery",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

List webhook endpoints GET

List webhook endpoints with cursor-based pagination.

Update webhook endpoint PATCH

Update a webhook endpoint. Only the provided fields change.